Opened 5 years ago

Closed 5 years ago

#47424 closed update (fixed)

libunistring @0.9.4_0: update to 0.9.5

Reported by: Schamschula (Marius Schamschula) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: haspatch Cc:
Port: libunistring

Description

libunistring has been updated to version 0.9.5. Building in trace mode suggested that we might use MacPorts perl5.16, texinfo and texlive-basic, rather than relying on what the OS may have lying around…

New this version:

* doc/uniname.texi (uniname.h): Document that
 	unicode_name_character now also looks for aliases.

Attachments (2)

Portfile-libunistring.diff (947 bytes) - added by Schamschula (Marius Schamschula) 5 years ago.
Portfile-libunistring.2.diff (875 bytes) - added by Schamschula (Marius Schamschula) 5 years ago.

Download all attachments as: .zip

Change History (8)

Changed 5 years ago by Schamschula (Marius Schamschula)

Attachment: Portfile-libunistring.diff added

comment:1 Changed 5 years ago by ryandesign (Ryan Schmidt)

Owner: changed from macports-tickets@… to ryandesign@…
Status: newassigned

You've added a dependency on port:perl5.16, but there's nothing in the port that causes it to use /opt/local/bin/perl5.16.

comment:2 Changed 5 years ago by ryandesign (Ryan Schmidt)

If you don't need to use any nonstandard perl modules, and you don't care what version of perl is used, then you can use the OS version by using dependency bin:perl:perl5 instead. If you want specifically perl5.16, then use the port:perl5.16 dependency and ensure that /opt/local/bin/perl5.16 gets used.

comment:3 Changed 5 years ago by ryandesign (Ryan Schmidt)

Also, are you sure that perl, texinfo and texlive-basic are library dependencies? Or are they only build dependencies?

comment:4 in reply to:  3 Changed 5 years ago by Schamschula (Marius Schamschula)

Replying to ryandesign@…:

Also, are you sure that perl, texinfo and texlive-basic are library dependencies? Or are they only build dependencies?

I agree that OS perl should be enough.

texinfo and texlive-basic are build dependencies to generate documentation.

Changed 5 years ago by Schamschula (Marius Schamschula)

comment:5 Changed 5 years ago by Schamschula (Marius Schamschula)

Removed perl5.16 dependency. Moved texinfo and texlive-basic to depends_build.

comment:6 Changed 5 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Thanks. Committed in r135290. I also added the bin:perl:perl5 build dependency which hopefully satisfies trace mode.

Note: See TracTickets for help on using tickets.